%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate minreq

Name:           rust-minreq
Version:        2.11.2
Release:    1%{?dist}
Summary:        Simple, minimal-dependency HTTP client

License:        ISC
URL:            https://crates.io/crates/minreq
Source0:         %{crates_source}
Patch:          minreq-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Simple, minimal-dependency HTTP client.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYING.md
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+base64-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+base64-devel %{_description}

This package contains library source intended for building other packages which
use the "base64" feature of the "%{crate}" crate.

%files       -n %{name}+base64-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+https-devel %{_description}

This package contains library source intended for building other packages which
use the "https" feature of the "%{crate}" crate.

%files       -n %{name}+https-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+https-rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+https-rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "https-rustls" feature of the "%{crate}" crate.

%files       -n %{name}+https-rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+https-rustls-probe-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+https-rustls-probe-devel %{_description}

This package contains library source intended for building other packages which
use the "https-rustls-probe" feature of the "%{crate}" crate.

%files       -n %{name}+https-rustls-probe-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+json-using-serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+json-using-serde-devel %{_description}

This package contains library source intended for building other packages which
use the "json-using-serde" feature of the "%{crate}" crate.

%files       -n %{name}+json-using-serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+once_cell-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell-devel %{_description}

This package contains library source intended for building other packages which
use the "once_cell" feature of the "%{crate}" crate.

%files       -n %{name}+once_cell-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+proxy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+proxy-devel %{_description}

This package contains library source intended for building other packages which
use the "proxy" feature of the "%{crate}" crate.

%files       -n %{name}+proxy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+punycode-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+punycode-devel %{_description}

This package contains library source intended for building other packages which
use the "punycode" feature of the "%{crate}" crate.

%files       -n %{name}+punycode-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-native-certs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-native-certs-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-native-certs" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-native-certs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rustls-webpki-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustls-webpki-devel %{_description}

This package contains library source intended for building other packages which
use the "rustls-webpki" feature of the "%{crate}" crate.

%files       -n %{name}+rustls-webpki-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+urlencoding-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+urlencoding-devel %{_description}

This package contains library source intended for building other packages which
use the "urlencoding" feature of the "%{crate}" crate.

%files       -n %{name}+urlencoding-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+webpki-roots-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+webpki-roots-devel %{_description}

This package contains library source intended for building other packages which
use the "webpki-roots" feature of the "%{crate}" crate.

%files       -n %{name}+webpki-roots-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1

rm -r src/native_tls

%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test -- --lib
%cargo_test -- --tests
%endif

%changelog
* Sun Jun 30 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.11.2-1
- initial build
